# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Kwiki/Plugin.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
%filter_from_requires /^perl.mixin.pm./d
Name:           perl-Kwiki-UserName
Version:        0.14
Release:        alt1_23
Summary:        Kwiki User Name Plugin
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Kwiki-UserName/
Source0:        http://www.cpan.org/authors/id/I/IN/INGY/Kwiki-UserName-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(IO/All.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Kwiki.pm)
BuildRequires:  perl(Kwiki/UserPreferences.pm)
Requires:       perl(Kwiki.pm) >= 0.37
Requires:       perl(Kwiki/UserPreferences.pm) >= 0.13

# RPM 4.8 style
%{echo 
%filter_from_requires /^perl.mixin.pm./d

}
# RPM 4.9 style

Source44: import.info

%description
Kwiki User Name plugin.

%prep
%setup -q -n Kwiki-UserName-%{version}

%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}

%install

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendor_privlib}/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1_23
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1_22
- update to new release by fcimport

* Tue May 29 2012 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1_20
- fc import

